Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ComboBoxBaseRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.ComboBoxBaseRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  ComboBoxRenderer, InplaceSelectBaseRenderer

    public class ComboBoxBaseRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Since:
  3.2.0 ComboBox Base renderer implementation
Author:
  Anton Belevich

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`ComboBoxBaseRenderer()`

Method Summary
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.util.List<java.lang.Object>` | `encodeItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `encodeSuggestion(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value, java.lang.String classes)`
`java.util.List<java.lang.Object>` | `encodeSuggestionValues(javax.faces.context.FacesContext context, UIComboBox combobox)`
`java.lang.String` | `encodeValue(java.lang.String value)`
`java.lang.String` | `getAsEventHandler(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attributeName)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
`protected java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`java.lang.String` | `getItemsTextAsJSArray(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.util.List items)`
`protected boolean` | `isAcceptableComponent(javax.faces.component.UIComponent component)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboBoxBaseRenderer

    public ComboBoxBaseRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### encodeItems

    public java.util.List<java.lang.Object> encodeItems(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent component)
                                                 throws java.io.IOException,
                                                        java.lang.IllegalArgumentException

  Throws:
    `java.io.IOException`
    `java.lang.IllegalArgumentException`

### encodeSuggestionValues

    public java.util.List<java.lang.Object> encodeSuggestionValues(javax.faces.context.FacesContext context,
                                                                   UIComboBox combobox)
                                                            throws java.io.IOException,
                                                                   java.lang.IllegalArgumentException

  Throws:
    `java.io.IOException`
    `java.lang.IllegalArgumentException`

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `javax.faces.render.Renderer`
  Throws:
    `javax.faces.convert.ConverterException`

### getConvertedStringValue

    protected java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       java.lang.Object value)

### encodeSuggestion

    public java.lang.String encodeSuggestion(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent component,
                                             java.lang.Object value,
                                             java.lang.String classes)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### isAcceptableComponent

    protected boolean isAcceptableComponent(javax.faces.component.UIComponent component)

### getItemsTextAsJSArray

    public java.lang.String getItemsTextAsJSArray(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent component,
                                                  java.util.List items)

### getAsEventHandler

    public java.lang.String getAsEventHandler(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.String attributeName)

### encodeValue

    public java.lang.String encodeValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.